Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Interface ViewConstants

All Known Implementing Classes:
  AbstractView, DefaultHighlighterFactory, DefaultSelectionHandler

public interface ViewConstants

Useful constants for implementation of the View and Highlighter interfaces.

Since:
  jpicedt 1.4
Version:
  $Id: ViewConstants.java,v 1.3.2.1 2007/09/02 11:56:29 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static double` | `BARBELL_SIZE` a constant that can be used as the size of selection-barbells (in pixels !!!)
`static double` | `CLICK_DISTANCE` a constant that can be used as the max.

Field Detail

### CLICK_DISTANCE

    public static final double CLICK_DISTANCE

  a constant that can be used as the max. distance b/w a point and a mouse click that triggers a selection (in mm !!!)

  See Also:
    Constant Field Values

### BARBELL_SIZE

    public static final double BARBELL_SIZE

  a constant that can be used as the size of selection-barbells (in pixels !!!)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org